Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class TeeOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.apache.tools.ant.util.TeeOutputStream

public class TeeOutputStream
extends java.io.OutputStream

A simple T-piece to replicate an output stream into two separate streams

Constructor Summary
`TeeOutputStream(java.io.OutputStream left, java.io.OutputStream right)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TeeOutputStream

    public TeeOutputStream(java.io.OutputStream left,
                           java.io.OutputStream right)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.OutputStream`
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    `flush` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.